Subject: Re: [PATCH/RFC v2 0/16] Introduce index file format version 5

From: Thomas Gummerer <[email-masked]>
Date: Mon, 6 Aug 2012 18:06:26 +0200

On 08/06, Junio C Hamano wrote:
> Nguyễn Thái Ngọc Duy  <[email-masked]> writes:
> 
> > These mails are about cosmetics only. But I think it helps maintenance
> > in long term. I notice in your series we have many functions with _v2
> > and _v5 mixed together. Worse, some functions that are _v2 only are
> > not suffixed with _v2. I still think separating v2/v5 changes is a
> > good idea. So I played a bit, see how it might become.
> >
> > The next two emails demonstrate how we take v2-specific code out to
> > read-cache-v2.c, then add v5 code in the next patch. Notice there's very
> > little change in read-cache.c in the second patch. I wanted to see how
> > v5 changes affects v2 users and the second patch shows it.
> 
> I like the splitting of the backend into two files; it is a good
> direction to go, but I really prefer to see it done way before in
> the series, so that many symbols in read-cache-v2.c do not have to
> be contaminated with foo_v2 suffix, and similarly _v5 suffix for
> symbols in read-cache-v5.c when they are added.

I agree. I planned to make those changes in the re-roll of this series,
basically making patch 1/2/3/4 in this series in one commit, moving it
to read-cache-v2.c and building read-cache-v5.c along the commits in this
series. The re-roll should be out by tomorrow.